﻿//-----------------------------------------------------------------------
// <copyright file="IProcessingManager.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using FastNET.CleanAct.Client.Interfaces.Structures;
#endregion

namespace FastNET.CleanAct.Client.Interfaces.Managers
{
    /// <summary>
    /// Manager interface for processing management
    /// </summary>
    public interface IProcessingManager : IManager
    {
        /// <summary>
        /// Handles processing given a specific group to use during processing
        /// </summary>
        /// <param name="processSet">ProcessingSet containing the information to process</param>
        void Process(ProcessingSet processSet);
    }
}