﻿//-----------------------------------------------------------------------
// <copyright file="Structures.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------

namespace FastNET.CleanAct.Client.Interfaces.Structures
{
    /// <summary>
    /// Basic structure for a processing instruction set
    /// </summary>
    public struct ProcessingSet
    {
        /// <summary>
        /// Gets or sets the group name for processing on the system
        /// </summary>
        public string ProcessingGroup { get; set; }

        /// <summary>
        /// Gets or sets the XML Configuration to be passed onto the components
        /// </summary>
        public string XmlConfiguration { get; set; }
    }
}