﻿//-----------------------------------------------------------------------
// <copyright file="ICleaner.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using FastNET.CleanAct.Client.Interfaces.Tasks;

#endregion

namespace FastNET.CleanAct.Client.Interfaces.TaskProcessing.Cleaners
{
    /// <summary>
    /// Basic interface for all cleaning based task processors
    /// </summary>
    public interface ICleaner : ITaskProcessor
    {
        /// <summary>
        /// Processes the provided ITask
        /// </summary>
        /// <param name="task">ITask to perform processing on</param>
        void ProcessTask(ITask task);
    }
}