﻿//-----------------------------------------------------------------------
// <copyright file="IMoveFileTask.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using System.Collections.Generic;


#endregion

namespace FastNET.CleanAct.Client.Interfaces.Tasks.File
{
    /// <summary>
    /// Basic interface for all file move tasks
    /// </summary>
    public interface IMoveFileTask : IFileTask
    {
        /// <summary>
        /// Gets a list of all destination files/directories and IDs for each entry
        /// </summary>
        Dictionary<int, string> Destinations { get; }
    }
}