﻿//-----------------------------------------------------------------------
// <copyright file="RegistryValidator.cs" company="FastNET Services">
//     Copyright (c) 2007-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings

using FastNET.CleanAct.Client.Interfaces.TaskProcessing.Validators;
using FastNET.CleanAct.Client.Interfaces.Tasks;

#endregion

namespace FastNET.CleanAct.Client.TaskProcessing.Basic.Validators
{
    /// <summary>
    /// Class for managing all registry related validation activities
    /// </summary>
    public class RegistryValidator : TaskProcessor, IValidator
    {
        #region Public Processor Info Properties

        /// <summary>
        /// Gets the name of the processor for reporting
        /// </summary>
        public override string ProcessorName
        {
            get
            {
                return "Registry Validator";
            }
        }

        /// <summary>
        /// Gets a description of the processor for reporting
        /// </summary>
        public override string ProcessorDescription
        {
            get
            {
                return "Validation processor for all registry related activity";
            }
        }

        #endregion

        #region Public Processing Methods

        /// <summary>
        /// Processes and validates the specified task
        /// </summary>
        /// <param name="task">the ITask to process</param>
        public void ValidateTask(ITask task)
        {
            throw new System.NotImplementedException();
        }

        #endregion
    }
}