﻿//-----------------------------------------------------------------------
// <copyright file="Enumerations.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------

namespace FastNET.CleanAct.Client.Win32
{
    public enum KnownUserFolderType
    {
        AdminTools = 0,
        CDBurning = 1,
        Contacts = 2,
        Cookies = 3,
        Desktop = 4,
        Documents = 5,
        Downloads = 6,
        Favorites = 7,
        GameTasks = 8,
        History = 9,
        InternetCache = 10,
        Links = 11,
        LocalAppData = 12,
        LocalAppDataLow = 13,
        Music = 14,
        NetHood = 15,
        OriginalImages = 16,
        PhotoAlbums = 17,
        Pictures = 18,
        Playlists = 19,
        PrintHood = 20,
        Programs = 21,
        QuickLaunch = 22,
        Recent = 23,
        RoamingAppData = 24,
        SavedGames = 25,
        SavedSearches = 26,
        SendTo = 27,
        SidebarParts = 28,
        StartMenu = 29,
        Startup = 30,
        Templates = 31,
        Videos = 32,
        Profile = 33
    }

    public enum KnownCommonFolderType
    {
        AdminTools = 0,
        OEMLinks = 1,
        Programs = 2,
        StartMenu = 3,
        Startup = 4,
        Templates = 5,
        Fonts = 6,
        LocalizedResourcesDir = 7,
        //Profile = 8,
        ProgramData = 9,
        ProgramFiles = 10,
        ProgramFilesX64 = 11,
        ProgramFilesX86 = 12,
        ProgramFilesCommon = 13,
        ProgramFilesCommonX64 = 14,
        ProgramFilesCommonX86 = 15,
        Public = 16,
        PublicDesktop = 17,
        PublicDocuments = 18,
        PublicDownloads = 19,
        PublicGameTasks = 20,
        PublicMusic = 21,
        PublicPictures = 22,
        PublicVideos = 23,
        ResourceDir = 24,
        SampleMusic = 25,
        SamplePictures = 26,
        SamplePlaylists = 27,
        SampleVideos = 28,
        SidebarDefaultParts = 29,
        System = 30,
        SystemX86 = 31,
        UserProfiles = 32,
        Windows = 33
    }
}
