﻿using System;
using System.Xml.Serialization;

namespace FastNET.CleanAct.Common.Configuration.Actions.RegistryActions
{
    [Serializable]
    public enum ActionScope
    {
        [XmlEnum(Name = "User")]
        User,
        [XmlEnum(Name = "Computer")]
        Computer
    }

    [Serializable]
    public enum ActionTarget
    {
        [XmlEnum(Name = "Key")]
        Key,
        [XmlEnum(Name = "Value")]
        Value,
        [XmlEnum(Name = "All")]
        All
    }

    [Serializable]
    public enum ActionType
    {
        [XmlEnum(Name = "Create")]
        Create,
        [XmlEnum(Name = "Modify")]
        Modify,
        [XmlEnum(Name = "Delete")]
        Delete
    }
}