﻿//-----------------------------------------------------------------------
// <copyright file="ITemplateGroupData.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.Base;
#endregion

namespace FastNET.CleanAct.Common.Repository.Interfaces.DataInterfaces.ManagementEngine
{
    /// <summary>
    /// Data interface for Template Groups
    /// </summary>
    public interface ITemplateGroupData : IData
    {
        /// <summary>
        /// Gets or sets the template the action is associated with
        /// </summary>
        Identity ParentTemplateID { get; set; }

        /// <summary>
        /// Gets or sets the template the action is associated with
        /// </summary>
        Identity ChildTemplateID { get; set; }
    }
}