﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FastNET.CleanAct.Client.Interfaces.Jobs;
using FastNET.CleanAct.Common.Core;

namespace FastNET.CleanAct.Client.ClientEngine.Jobs
{
    internal class JobAction : IJobAction
    {
        /// <summary>
        /// Gets the name for the action
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Gets the configuration type for the action
        /// </summary>
        public string ActionType { get; set; }

        /// <summary>
        /// Gets the global recursive mode for the action to process by
        /// </summary>
        public ActionRecursiveMode RecursiveMode { get; set; }

        /// <summary>
        /// Gets the action specific configuration
        /// </summary>
        public string Configuration { get; set; }
    }
}
