﻿using System.Windows;
using System.Windows.Controls.Primitives;

namespace HomeManager.Controls
{
    public class CommandButton : ButtonBase
    {
        static CommandButton()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(CommandButton), new FrameworkPropertyMetadata(typeof(CommandButton)));
        }

        #region Header

        /// <summary>
        /// Header Dependency Property
        /// </summary>
        public static readonly DependencyProperty HeaderProperty =
            DependencyProperty.Register("Header", typeof(object), typeof(CommandButton),
                                        new FrameworkPropertyMetadata(null));

        /// <summary>
        /// Gets or sets the Header property.
        /// </summary>
        public object Header
        {
            get { return GetValue(HeaderProperty); }
            set { SetValue(HeaderProperty, value); }
        }

        #endregion



    }
}