using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace FastNET.CleanAct.Common.Configuration.Configuration
{
    [Serializable]
    [XmlType("actionItem")]
    public class ActionItem
    {
        public ActionItem()
        {
            RecursiveMode = 0;
        }

        [XmlAttribute(AttributeName = "type")]
        public string Type { get; set; }

        [XmlAttribute(AttributeName = "recursiveMode")]
        [DefaultValue(typeof(byte), "0")]
        public byte RecursiveMode { get; set; }

        [XmlAttribute(AttributeName = "name")]
        public string Name { get; set; }

        [XmlText]
        public string Value { get; set; }
    }
}