using System;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace FastNET.CleanAct.Common.Configuration.Configuration
{
    [Serializable]
    [XmlType("jobItem")]
    public class JobItem
    {
        public JobItem()
        {
            Actions = new List<ActionItem>();
        }

        [XmlAttribute(AttributeName = "name")]
        public string Name { get; set; }

        [XmlAttribute(AttributeName = "description")]
        public string Description { get; set; }

        [XmlElement(ElementName = "action")]
        public List<ActionItem> Actions { get; set; }
    }
}