﻿using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace FastNET.CleanAct.Common.Configuration.Files.PackageExport
{
    [Serializable]
    [XmlType(AnonymousType = true)]
    public class TemplateItemAction
    {
        public TemplateItemAction()
        {
            RecursiveMode = 0;
        }

        [XmlAttribute(AttributeName = "type")]
        public string Type { get; set; }

        [XmlAttribute(AttributeName = "recursiveMode")]
        [DefaultValue(typeof(sbyte), "0")]
        public byte RecursiveMode { get; set; }

        [XmlAttribute(AttributeName = "name")]
        public string Name { get; set; }

        [XmlText]
        public string Value { get; set; }
    }
}