﻿//-----------------------------------------------------------------------
// <copyright file="ScheduleCollectionDataContract.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
#endregion

namespace FastNET.CleanAct.Common.Contracts.DataContracts.Collections
{
    /// <summary>
    /// Data Contract for a collection of Schedule IDs and the representing data
    /// </summary>
    [CollectionDataContract(Namespace = "http://cleanact.codeplex.com/DataContracts/2009/06/ScheduleCollectionDataContract",
        Name = "scheduleCollection", ItemName = "schedule", KeyName = "ID", ValueName = "data")]
    public class ScheduleCollectionDataContract : Dictionary<Guid, string>
    {
    }
}
