﻿//-----------------------------------------------------------------------
// <copyright file="RequestProcessingInstructionsDataContract.cs" company="FastNET Services">
//     Copyright (c) 2008-2009. All Rights Reserved.
// </copyright>
// <license>
//     GPLv2
// </license>
// <warranty>
//     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
//     BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//     NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
//     DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//     OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// </warranty>
//-----------------------------------------------------------------------
#region Usings
using System;
using System.Runtime.Serialization;
#endregion

namespace FastNET.CleanAct.Common.Contracts.DataContracts.Requests
{
    /// <summary>
    /// Data Contract for a request during a processing instruction retrieval
    /// </summary>
    [DataContract(Namespace = "http://cleanact.codeplex.com/DataContracts/2009/06/RequestProcessingInstructionsDataContract", Name = "requestProcessingInstructions")]
    public class RequestProcessingInstructionsDataContract
    {
        /// <summary>
        /// Schedule ID to look up for the instructions
        /// </summary>
        [DataMember(Name = "scheduleID", Order = 0, IsRequired = true)]
        public Guid ScheduleID;
    }
}