﻿using System.Windows.Forms;
using FastNET.CleanAct.Common.EngineModel.SplashSystem;

namespace FastNET.CleanAct.Tools.HomeTemplateEditor.Forms
{
    internal partial class SplashForm : Form, IDynamicSplashScreen
    {

        public SplashForm()
        {
            InitializeComponent();
            VersionField.Text = string.Format("Version: {0}",
                                              System.Reflection.Assembly.GetEntryAssembly().GetName().Version);
        }

        #region IDynamicSplashScreen Members

        public void SendStatusMessage(string message)
        {
            label1.Text = message;
        }

        #endregion
    }
}
